# Spec file for php-enygma-yubikey
#
# Copyright (c) 2013-2014 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/3.0/
#
# Please, preserve the changelog entries
#
#%%global gh_commit    6a8aec204688d36681e0185fbaf1974b97e4a070
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     enygma
%global gh_project   yubikey
%global with_tests   %{?_without_tests:0}%{!?_without_tests:1}

Name:           php-%{gh_project}
Summary:        PHP library to interface with the Yubikey REST API
Version:        3.3
Release:        %mkrel 3

URL:            https://github.com/%{gh_owner}/%{gh_project}
Source0:        https://github.com/%{gh_owner}/%{gh_project}/archive/%{version}.tar.gz
License:        MIT
Group:          Development/PHP
BuildArch:      noarch

%if %{with_tests}
BuildRequires:  php >= 5.4
%endif

# From composer.json
Requires:       php >= 5.4

Obsoletes:      php-enygma-yubikey < 3.2-2
Provides:       php-enygma-yubikey = %{version}-%{release}

%description
PHP library to interface with the Yubikey REST API

%prep
%setup -q -n %{gh_project}-%{?gh_commit:%{gh_commit}}%{!?gh_commit:%{version}}

%build
# nothing to build

%install
# Install as a PSR-0 library
mkdir -p %{buildroot}%{_datadir}/php/
cp -pr src/* %{buildroot}%{_datadir}/php/

%check

%files
%doc composer.json README.md
%{_datadir}/php/Yubikey




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 3.3-3.mga8
+ Revision: 1519225
- Mageia 8 Mass Rebuild

* Sun Oct 07 2018 daviddavid <daviddavid> 3.3-2.mga7
+ Revision: 1318336
- obsoletes/provides php-enygma-yubikey

* Sat Oct 06 2018 mokraemer <mokraemer> 3.3-1.mga7
+ Revision: 1318299
- new version 3.3
- renamed folder for package name
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Thu Jan 07 2016 spuhler <spuhler> 3.2-1.mga6
+ Revision: 920331
- first build
- imported package php-enygma-yubikey

